# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename csscomb-core

Name:               nodejs-csscomb-core
Version:            2.0.4
Release:            10%{?dist}
Summary:            Framework for writing postprocessors

# https://github.com/csscomb/core/issues/3
License:            MIT
URL:                https://www.npmjs.org/package/csscomb-core
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
Source1:            LICENSE.Fedora

BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(gonzales-pe)
BuildRequires:      npm(minimatch)
BuildRequires:      npm(vow)
BuildRequires:      npm(vow-fs)

Requires:           npm(gonzales-pe)
Requires:           npm(minimatch)
Requires:           npm(vow)
Requires:           npm(vow-fs)


%description
CSScomb Core is a framework for writing postprocessors.

%prep
%setup -q -n package

cp -p %{SOURCE1} .

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep gonzales-pe '>= 3.0.0'
%nodejs_fixdep minimatch '^3.0.0'

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/csscomb-core
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/csscomb-core

%nodejs_symlink_deps

%files
# Note that we are carrying our own copy of the license.
#https://github.com/csscomb/core/issues/3
%doc README.md
%license LICENSE.Fedora
%{nodejs_sitelib}/csscomb-core/

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 2.0.4-3
- Update npm(minimatch) dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 02 2014 Ralph Bean <rbean@redhat.com> - 2.0.4-1
- Latest upstream.
- Carry our own copy of the license since upstream is unresponsive
  on https://github.com/csscomb/core/issues/3
- Fixdep on gonzales-pe

* Wed Aug 20 2014 Ralph Bean <rbean@redhat.com> - 2.0.2-1
- Initial packaging for Fedora.
